import { LabelSource } from '../../app.constant';
import {
  Column,
  CreateDateColumn,
  Entity,
  ManyToOne,
  PrimaryGeneratedColumn,
  UpdateDateColumn,
} from 'typeorm';
import { LabelCategory } from './category.entity';

@Entity()
export class Label {
  @PrimaryGeneratedColumn()
  id: number;

  @Column({ unique: true })
  name: string;

  @Column({
    type: 'enum',
    enum: LabelSource,
    default: LabelSource.SYSTEM, // 设置一个默认值，如果需要的话
  })
  source: LabelSource;

  @CreateDateColumn({ type: 'timestamp' })
  createAt: Date;

  @UpdateDateColumn({ type: 'timestamp' })
  updateAt: Date;

  @ManyToOne(() => LabelCategory, (category) => category.labels)
  category: LabelCategory;
}
