import { Module } from '@nestjs/common';
import { LabelController } from './label.controller';
import { LabelService } from './label.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { LabelCategory } from './entity/category.entity';
import { Label } from './entity/label.entity';
@Module({
  imports: [
    TypeOrmModule.forRoot({
      type: 'mysql',
      host: 'localhost',
      port: 3306,
      username: 'root',
      password: 'root',
      database: 'dicom',
      synchronize: true,
      timezone: 'Asia/Shanghai', // 这里设置了时区
      entities: [__dirname + '/**/*.entity{.ts,.js}'],
    }),
    TypeOrmModule.forFeature([Label, LabelCategory]),
  ],
  controllers: [LabelController],
  providers: [LabelService],
})
export class LabelModule {}
